'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _parseFunction = require('parse-function');

var _parseFunction2 = _interopRequireDefault(_parseFunction);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _changeCase = require('@rocketstation/change-case');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getTitle = file => `${(0, _changeCase.cu)(file.split('.')[0])}Service`;

const load = dir => {
  const servicesDir = _path2.default.join(dir, 'services');
  const result = {};
  if (_fs2.default.existsSync(servicesDir)) {
    _fs2.default.readdirSync(servicesDir).filter(item => item.includes('.js')).forEach(item => {
      const title = getTitle(item);
      const definition = require(_path2.default.join(servicesDir, item));
      result[title] = [definition, ...(0, _parseFunction2.default)(definition).args];
    });
  }
  return _bluebird2.default.resolve(result);
};

exports.default = load;